import { ElementRef, EventEmitter, Renderer2 } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
export declare class RangeComponent implements ControlValueAccessor {
    private elementRef;
    private renderer;
    rangeBar: ElementRef;
    uiChange: EventEmitter<string>;
    name: string;
    forId: string;
    showProgress: boolean;
    disabled: any;
    readonly: any;
    min: any;
    max: any;
    step: any;
    value: any;
    position: number;
    isTouching: boolean;
    private _disabled;
    private _readonly;
    private _min;
    private _max;
    private _step;
    private _value;
    private onChange;
    private onTouched;
    static toNumber(value: any): number;
    constructor(elementRef: ElementRef, renderer: Renderer2);
    drag(event: any): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
}
